API
GET /api/orgs/{org_id}/keys
List Keys
GET /api/orgs/{org_id}/keys
List Keys
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
org_id | path | string | Yes | - |
X-Org-ID | header | string | null | No | - |
Example request
curl -X GET https://api.cognitivx.io/api/orgs/{org_id}/keys \
-H "Authorization: Bearer icog_..."Example response
200 application/json
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "production",
"key_prefix": "string",
"created_at": "2026-06-16T08:30:00Z",
"last_used_at": "2026-06-16T08:30:00Z",
"created_by_email": "[email protected]",
"request_count": 0,
"requests_30d": 0,
"key": null
}
]Responses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |